<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.BaseGgpFacilityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.BaseGgpFacility">
        <id column="id" property="id" />
        <result column="facility_num" property="facilityNum" />
        <result column="facility_name" property="facilityName" />
        <result column="facility_status" property="facilityStatus" />
        <result column="address" property="address" />
        <result column="facility_type" property="facilityType" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="gps_areas" property="gpsAreas" />
        <result column="province" property="province" />
        <result column="city" property="city" />
        <result column="area" property="area" />
        <result column="street_town" property="streetTown" />
        <result column="contact" property="contact" />
        <result column="contact_phone" property="contactPhone" />
        <result column="check_status" property="checkStatus" />
        <result column="check_id" property="checkId" />
        <result column="check_name" property="checkName" />
        <result column="check_comment" property="checkComment" />
        <result column="extend_data" property="extendData" />
        <result column="images_url" property="imagesUrl" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
        <result column="company_id" property="companyId" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_person" property="updatePerson" />
        <result column="creator" property="creator" />
        <result column="facility_address" property="facilityAddress" />
        <result column="facility_desc" property="facilityDesc" />
    </resultMap>

</mapper>
